Subject: Re: [PATCH] Device tree bindings for Xilinx devices

From: David Gibson <[email-masked]>
Date: Thu, 11 Oct 2007 14:06:22 +1000

On Wed, Oct 10, 2007 at 08:25:36PM -0600, Grant Likely wrote:
> On 10/10/07, David Gibson <[email-masked]> wrote:
> > On Wed, Oct 10, 2007 at 03:38:02PM -0500, Josh Boyer wrote:
[snip]
> > > "number" seems a bit to generic to me.  logical-number seems a bit more
> > > descriptive.
> >
> > We've used 'cell-index' for similar purposes on other 4xx.
> 
> Unfortunately, 'cell' has been used in the sense of a logic cell in an
> SoC.  In the case of the SystemACE, it is an external chip.
> 
> What about "device-number"?

Ok, I misunderstood.  If it's not on chip, what significance does this
serial number have?  Where would a driver need it?

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson